> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Person

> Retrieve a list of Persons with a complex or simple query.



## OpenAPI

````yaml post /vLatest/query/glasscore/person
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /vLatest/query/glasscore/person:
    post:
      tags:
        - Person
      summary: Query Person
      description: Retrieve a list of Persons with a complex or simple query.
      operationId: QueryPerson
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestBodySchema'
      responses:
        '200':
          description: A list of Persons
          content:
            application/json:
              schema:
                type: object
                properties:
                  c_org:
                    type: string
                    description: >-
                      Represents the organization that the individual in the
                      Person table is associated with.
                  city:
                    type: string
                    description: >-
                      Represents the urban area or municipality where the
                      individual resides.
                  dateOfBirth:
                    anyOf:
                      - type: string
                      - type: string
                    description: >-
                      Records the day, month, and year when the individual was
                      born.
                  email:
                    type: string
                    description: Stores the electronic mail address of the individual.
                  id:
                    type: number
                    description: Unique identifier.
                  isApplicant:
                    type: boolean
                    description: >-
                      Indicates whether the individual is a candidate for a
                      position or role.
                  isStaff:
                    type: boolean
                    description: Indicates whether the person is a staff member or not.
                  nameFirst:
                    type: string
                    description: >-
                      Contains the first name of the individual in the Person
                      table.
                  nameFirstLast:
                    type: string
                    description: >-
                      Stores the full name of an individual in the format of
                      first name followed by last name.
                  nameLast:
                    type: string
                    description: Stores the surname of the individual.
                  OrgId:
                    type: number
                    description: >-
                      Represents the unique identifier for the organization to
                      which the individual belongs.
                  phone:
                    type: string
                    description: Stores the contact number of the individual.
                  RandomPoolStatusId:
                    type: number
                    nullable: true
                    description: >-
                      Indicates the status of a person's association with a
                      random pool in a system, typically represented by a unique
                      identifier.
                  state:
                    type: string
                    description: >-
                      Indicates the U.S. state or territory where the individual
                      resides.
                  streetPrimary:
                    type: string
                    description: Contains the main street address for an individual.
                  streetSecondary:
                    type: string
                    description: >-
                      Contains additional information about the person's street
                      address such as apartment or suite number.
                  UserId:
                    type: number
                    nullable: true
                    description: >-
                      A unique identifier assigned to each individual in the
                      Person table.
                  zip:
                    type: string
                    description: >-
                      Stores the postal code associated with each individual's
                      residential address.
                required:
                  - c_org
                  - city
                  - dateOfBirth
                  - email
                  - id
                  - isApplicant
                  - isStaff
                  - nameFirst
                  - nameFirstLast
                  - nameLast
                  - OrgId
                  - phone
                  - RandomPoolStatusId
                  - state
                  - streetPrimary
                  - streetSecondary
                  - UserId
                  - zip
components:
  schemas:
    RequestBodySchema:
      type: object
      properties:
        advancedFilter:
          type: object
          properties:
            linkOperator:
              type: string
              enum:
                - AND
                - OR
              description: >-
                Logical operator for combining multiple `items`. Using `AND`
                will require all conditions to be true. Using `OR` will require
                at least one condition to be true.
            items:
              type: array
              items:
                type: object
                properties:
                  columnField:
                    type: string
                    description: Field name to filter by
                    example: nameFirst
                  operatorValue:
                    type: string
                    enum:
                      - contains
                      - endsWith
                      - equals
                      - greaterThan
                      - greaterThanOrEqualTo
                      - isEmpty
                      - isFalse
                      - isNotEmpty
                      - isTrue
                      - lessThan
                      - lessThanOrEqualTo
                      - listContains
                      - notEquals
                      - startsWith
                    description: Operator to use for the filter condition.
                  value:
                    type: string
                    description: Value to filter by.
                    example: John
                required:
                  - columnField
                  - operatorValue
                  - value
                additionalProperties: false
              description: Array of conditions to filter by.
          required:
            - linkOperator
            - items
          additionalProperties: false
          description: >-
            Complex filter configuration allowing for multiple conditions with
            AND/OR operators.
        return:
          type: array
          items:
            type: string
          description: Array of field names to return in the response.
          example:
            - id
            - firstName
            - lastName
        isAdditionalData:
          type: boolean
          default: false
          description: >-
            Set to `true` to merge requested fields with default response, or
            false/omit to return only requested fields plus `ID`.
        page:
          type: number
          default: 1
          description: Page number for pagination.
          example: 1
        pageSize:
          type: number
          default: 500
          description: Number of items per page. Defaults to 500.
          example: 20
        sortBy:
          type: string
          description: Field name to sort by.
          example: createdAt
        sortDirection:
          type: string
          enum:
            - asc
            - desc
          default: desc
          description: 'Sort direction: ascending (asc) or descending (desc).'
          example: desc
      additionalProperties:
        type: string
        description: >-
          Additional key-value pairs for simple filtering. Any field from the
          entity can be used as a filter key. E.g., `field=value` will return
          all records where that field matches the specified value.
        example: status=active
      description: >-
        Multiple query options are supported. You can build a complex query
        filling out the `advancedFilter` section. We also support "simple"
        queries which used by putting the key you want to filter by in the
        `query` section along with the value you want it to filter for. E.g.,
        `nameFirst=John` will return all persons with a first name of John.
      title: Query

````